Skip to main content
Verify individual identities using BVN, NIN, Voter’s Card, Driver’s License, or Passport.

BVN Verification

Verify a Bank Verification Number.
POST /api/v1/business/verification/bvn
Signature required: Yes

Request body

FieldTypeRequiredDescription
bvnstringYes11-digit BVN
idempotencyKeystringNoUnique key to prevent duplicate charges

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/verification/bvn" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "bvn": "12345678901",
    "idempotencyKey": "bvn-check-user123"
  }'

BVN Advanced

BVN verification with extended data (photo, additional details).
POST /api/v1/business/verification/bvn-advanced

Request body

FieldTypeRequiredDescription
bvnstringYes11-digit BVN
idempotencyKeystringNoUnique key to prevent duplicate charges

NIN Verification

Verify a National Identification Number.
POST /api/v1/business/verification/nin

Request body

FieldTypeRequiredDescription
ninstringYes11-digit NIN
idempotencyKeystringNoUnique key to prevent duplicate charges

PVC (Voter’s Card)

Verify a Permanent Voter’s Card number.
POST /api/v1/business/verification/pvc

Request body

FieldTypeRequiredDescription
pvcstringYesPVC number
idempotencyKeystringNoUnique key to prevent duplicate charges

PVC Premium

PVC verification with extended data.
POST /api/v1/business/verification/pvc-premium

Request body

Same as PVC above.

Driver’s License (FRSC)

Verify a driver’s license number.
POST /api/v1/business/verification/frsc

Request body

FieldTypeRequiredDescription
frscstringYesDriver’s license number
idempotencyKeystringNoUnique key to prevent duplicate charges

International Passport

Verify a Nigerian international passport.
POST /api/v1/business/verification/passport

Request body

FieldTypeRequiredDescription
passportstringYesPassport number
lastNamestringYesPassport holder’s last name
dateOfBirthstringYesDate of birth (YYYY-MM-DD)
idempotencyKeystringNoUnique key to prevent duplicate charges

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/verification/passport" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "passport": "A12345678",
    "lastName": "Doe",
    "dateOfBirth": "1990-05-15"
  }'